package cn.sino.mark.common.enums;


import lombok.Getter;

/**
 * 删除状态
 *
 * @author zhangamin
 * @date 2020/11/23
 */
@Getter
public enum DeleteStatusEnum {

    NOT_DELETE(0,"正常"),DELETED(1,"已删除");

    DeleteStatusEnum(int value, String name){
        this.value = value;
        this.name = name;
    }

    private final int value;
    private final String name;

    public static String getName(int value) {
        for (DeleteStatusEnum obj : DeleteStatusEnum.values()) {
            if (obj.getValue() == value) {
                return obj.getName();
            }
        }
        return "";
    }
}
