package cn.sino.mark.common.enums;

import lombok.Getter;

/**
 * @author sch
 * @description 是和否状态枚举
 * @className cn.sino.mark.common.enums.IsOrNotEnum
 * @date 2022/4/1
 */
@Getter
public enum IsOrNotEnum {

    NOT(0, "否"), IS(1, "是");

    private final Integer value;
    private final String name;

    IsOrNotEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public static String getName(Integer value){
        for (IsOrNotEnum posts : IsOrNotEnum.values()) {
            if (posts.getValue().equals(value)) {
                return posts.getName();
            }
        }
        return "";
    }
}
