package cn.sino.mark.common.enums;


/**
 * 菜单移动方向
 *
 * @author zhangamin
 * @date 2020/11/23
 */
public enum MoveNodeTypeEnum {

    UP_NODE(0,"上移"),DOWN_NODE(1,"下移");
    private final int value;
    private final String name;

    MoveNodeTypeEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }
    public static String getName(int value) {
        for (MoveNodeTypeEnum obj : MoveNodeTypeEnum.values()) {
            if (obj.getValue() == value) {
                return obj.getName();
            }
        }
        return "";
    }
    public int getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

}
