package cn.sino.mark.common.log;

import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;


/**
 * @author zhangamin
 * @description 日志发送
 * @className cn.sino.mark.common.log.SysLogEventPublisher
 * @date 2022/3/30
 */
@Component
public class SysLogEventPublisher {


    private final ApplicationContext applicationContext;

    public SysLogEventPublisher(ApplicationContext applicationContext) {
        this.applicationContext = applicationContext;
    }

    /**
     * 写入日志
     */
    public void publish(Log.Builder builder) {
        applicationContext.publishEvent(new SysLogEvent(new Log(builder)));
    }
}
