package cn.sino.mark.common.model.bo;

import lombok.Data;

/**
 * @author sch
 * @description 导出资源
 * @className cn.sino.mark.common.model.bo.ExportDataBO
 * @date 2022/4/11
 */
@Data
public class ExportDataBO {
    /**
     * 项目id
     */
    private String projectId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 任务id
     */
    private String taskId;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 资源类型
     */
    private String typeName;
    private Integer type;

    /**
     * 资源内容
     */
    private String content;
    private String picUrl;
    private String movUrl;

    /**
     * 分类id
     */
    private String categoryId;

    /**
     * 分类名称
     */
    private String categoryName;
}
