package cn.sino.mark.common.model.bo;

import cn.sino.mark.dao.model.ProjectTaskDO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * @author sch
 * @description
 * @className
 * @date 2022/4/7
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ProjectTaskBO extends ProjectTaskDO {
    /**
     * 推送时间
     */
    private LocalDateTime pushTime;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 打标人账号
     */
    private String markUserAccount;
    private String markUserName;


    /**
     * 一级项目组
     */
    private String firstGroup;

    /**
     * 二级项目组
     */
    private String secondGroup;
}
