package cn.sino.mark.common.model.bo;

import cn.sino.mark.dao.model.ProjectTaskDetailDO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author sch
 * @description
 * @className
 * @date 2022/4/7
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ProjectTaskDetailBO extends ProjectTaskDetailDO {
    /**
     * 资源类型
     */
    private Integer resourceType;

    /**
     * 文本内容
     */
    private String content;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 图片地址
     */
    private String picUrl;

    /**
     * 视频地址
     */
    private String movUrl;

    /**
     * 注释
     */
    private String hint;

    /**
     * 分类名称
     */
    private String categoryName;
}
