package cn.sino.mark.common.model.bo;

import cn.sino.mark.dao.model.ResourceDO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author sch
 * @description 资源数据集BO
 * @className cn.sino.mark.common.model.bo.ResourceBO
 * @date 2022/4/3
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ResourceBO extends ResourceDO {
    /**
     * 创建人姓名
     */
    private String createByName;

    /**
     * 资源数量
     */
    private Integer dataNum;
}
