package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author sch
 * @description 新增抽样验证
 * @className cn.sino.mark.common.model.dto.AddTaskSampleDTO
 * @date 2022/4/9
 */
@ApiModel
@Data
public class AddTaskSampleDTO {
    /**
     * 任务id
     */
    @ApiModelProperty("任务id")
    @NotNull(message = "任务id不能为空")
    private Long taskId;

    /**
     * 抽样数量
     */
    @ApiModelProperty("抽样数量")
    @NotNull(message = "抽样数量不能为空")
    private Integer sampleNum;
}
