package cn.sino.mark.common.model.dto;

import io.swagger.annotations.*;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author sch
 * @description 上传资源参数
 * @className cn.sino.mark.common.model.dto.ImportResourceDTO
 * @date 2022/4/1
 */
@Data
@ApiModel
public class ImportResourceDTO {

    /**
     * 资源id
     */
    @ApiModelProperty(value = "资源id", required = true)
    @NotNull(message = "资源id不能为空")
    private Long resourceId;

    /**
     * 资源串
     */
    @ApiModelProperty("资源串")
    private List<String> dataList;
    private String resourceStr;
}
