package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhangamin
 * @description 查询我的项目任务列表参数
 * @className cn.sino.mark.common.model.dto.QueryMyProjectTaskDTO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class QueryMyProjectTaskDTO {

    /**
     * 任务ID
     */
    @ApiModelProperty("任务ID")
    private Long taskId;

    /**
     * 任务名称
     */
    @ApiModelProperty("任务名称")
    private String taskName;

    /**
     * 状态(已完成，进行中，已过期，待开始)
     */
    @ApiModelProperty("状态(已完成，进行中，已过期，待开始)")
    private String status;

    /**
     * 即将到期天数
     */
    @ApiModelProperty("即将到期天数")
    private Integer nearExpireDays;

    /**
     * 是否存疑
     */
    @ApiModelProperty("是否存疑")
    private Integer isProblem;

    /**
     * 有效期开始时间
     */
    @ApiModelProperty("有效期开始时间")
    private String beginTime;

    /**
     * 有效期结束时间
     */
    @ApiModelProperty("有效期结束时间")
    private String endTime;

}