package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zhangamin
 * @description 分类树
 * @className cn.sino.mark.common.model.vo.CategoryTreeVo
 * @date 2022/3/27
 */
@Data
@ApiModel
public class CategoryTreeVo {

    /**
     * 分类ID
     */
    @ApiModelProperty("分类ID")
    private String value;

    /**
     * 分类名称
     */
    @ApiModelProperty("分类名称")
    private String label;

    /**
     * 子节点
     */
    @ApiModelProperty("子节点")
    private List<CategoryTreeVo> children;



}