package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description 所有标签
 * @Author sch
 * @Date 2022/9/9 17:06
 * @Version 1.0
 **/
@ApiModel
@Data
public class LabelAllVO {
    /**
     * 标签id
     */
    @ApiModelProperty("标签id")
    private Long id;

    /**
     * 标签名称
     */
    @ApiModelProperty("标签名称")
    private String name;

    /**
     * 标签所有选项(/分开)
     */
    @ApiModelProperty("标签所有选项(/分开)")
    private String labelItemNames;
}
