package cn.sino.mark.common.model.vo;

import io.swagger.annotations.*;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author sch
 * @description 我的任务统计
 * @className cn.sino.mark.common.model.vo.MyTaskStatisticVO
 * @date 2022/4/10
 */
@ApiModel
@Data
public class MyTaskStatisticVO {
    /**
     * 未完成任务数
     */
    @ApiModelProperty("未完成任务数")
    private Integer notCompleteNum;

    /**
     * 即将过期任务数(5天内将过期)
     */
    @ApiModelProperty("即将过期任务数")
    private Integer expiredSoonNum;
}
