package cn.sino.mark.common.model.vo;

import io.swagger.annotations.*;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

/**
 * @author sch
 * @description 项目组树结构
 * @className cn.sino.mark.common.model.vo.ProjectGroupTreeVO
 * @date 2022/4/3
 */
@ApiModel
@Data
public class ProjectGroupTreeVO {
    /**
     * 项目组id
     */
    @ApiModelProperty("项目组id")
    private Long value;

    /**
     * 项目组名称
     */
    @ApiModelProperty("项目组名称")
    private String label;

    /**
     * 子节点
     */
    @ApiModelProperty("子节点")
    private List<ProjectGroupTreeVO> children;
}
