package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhangamin
 * @description 项目分页查询列表
 * @className cn.sino.mark.common.model.vo.ProjectPageItemVO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class ProjectPageItemVO {

    /**
     * 项目ID
     */
    @ApiModelProperty("项目ID")
    private Long projectId;

    /**
     * 项目名称
     */
    @ApiModelProperty("项目名称")
    private String name;

    /**
     * 所属任务组
     */
    @ApiModelProperty("所属任务组")
    private String groupName;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private String statusText;
    private Integer status;

    /**
     * 分配时间/推送时间
     */
    @ApiModelProperty("分配时间")
    private String assignTimeStr;

    /**
     * 完成时间
     */
    @ApiModelProperty("完成时间")
    private String completeTimeStr;

    /**
     * 有效期
     */
    @ApiModelProperty("有效期")
    private String validTimeStr;

    /**
     * 存疑数量
     */
    @ApiModelProperty("存疑数量")
    private Integer problemNum;

}