package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author sch
 * @description 任务明细VO
 * @className cn.sino.mark.common.model.vo.TaskDetailVO
 * @date 2022/4/7
 */
@Data
@ApiModel
public class ProjectTaskDetailVO {

    /**
     * 任务明细id
     */
    @ApiModelProperty("任务明细id")
    private Long detailId;

    /**
     * 是否标注
     */
    @ApiModelProperty("是否标注")
    private Integer isMark;

    /**
     * 标注类型
     */
    @ApiModelProperty("标注类型")
    private Integer type;

    /**
     * 资源类型
     */
    @ApiModelProperty("资源类型")
    private Integer resourceType;

    /**
     * 文本内容
     */
    @ApiModelProperty("文本内容")
    private String content;

    /**
     * 图片地址
     */
    @ApiModelProperty("图片地址")
    private String picUrl;

    /**
     * 视频地址
     */
    @ApiModelProperty("视频地址")
    private String movUrl;

    /**
     * 注释
     */
    @ApiModelProperty("注释")
    private String hint;

    /**
     * 资源数据id
     */
    @ApiModelProperty("资源数据id")
    private Long dataId;
}
