package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author sch
 * @description
 * @className
 * @date 2022/4/18
 */
@Data
@ApiModel
public class ProjectVO {
    /**
     * 项目id
     */
    @ApiModelProperty("项目id")
    private Long projectId;

    /**
     * 项目名称
     */
    @ApiModelProperty("项目名称")
    private String name;

    /**
     * 项目组id
     */
    @ApiModelProperty("项目组id")
    private Long groupId;
    private List<Long> groupIds;

    /**
     * 有效期开始时间
     */
    @ApiModelProperty(value = "有效期开始时间", required = true)
    private String beginTime;

    /**
     * 有效期结束时间
     */
    @ApiModelProperty(value = "有效期结束时间", required = true)
    private String endTime;

    /**
     * 推送时间
     */
    @ApiModelProperty(value = "推送时间", required = true)
    private String pushTime;

    /**
     * 项目描述
     */
    @ApiModelProperty(value = "项目描述")
    private String description;

    /**
     * 分类id
     */
    @ApiModelProperty("分类id")
    private String categoryId;
    private List<String> categoryIds;

    /**
     * 资源id
     */
    @ApiModelProperty("资源id")
    private List<Long> resourceIds;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private List<Long> userIds;

    /**
     * 任务分配
     */
    @ApiModelProperty("任务分配")
    private List<ProjectTaskAssignVO> taskList;

}
