package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhangamin
 * @description 资源列表分页
 * @className cn.sino.mark.common.model.vo.ResourcePageItemDTO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class ResourcePageItemVO {

    /**
     * 资源ID
     */
    @ApiModelProperty("资源ID")
    private Long resourceId;

    /**
     * 资源名称
     */
    @ApiModelProperty("资源名称")
    private String name;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private String  createByName;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private String createTimeStr;

    /**
     * 类型
     */
    @ApiModelProperty("类型")
    private String typeName;

    /**
     * 分配状态
     */
    @ApiModelProperty("分配状态")
    private String assignStatusName;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private String statusName;
    private Integer status;

    /**
     * 资源数量
     */
    @ApiModelProperty("资源数量")
    private Integer resourceCount;

}