package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

/**
 * @author sch
 * @description 任务明细
 * @className cn.sino.mark.common.model.vo.TaskDetailVO
 * @date 2022/4/21
 */
@Data
@ApiModel
public class TaskDetailVO {
    /**
     * 明细id
     */
    private Long detailId;

    /**
     * 标注类型
     */
    private Integer type;

    /**
     * 是否存疑
     */
    private boolean hasProblem;

    /**
     * 分类id
     */
    private String categoryId;
    private List<String> categoryIds;

    /**
     * 验证结果
     */
    private Integer sampleType;

    /**
     * 验证描述
     */
    private String sampleDesc;
}
