package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author sch
 * @description 用户详情
 * @className cn.sino.mark.common.model.vo.CategoryTreeVo
 * @date 2022/3/29
 */
@Data
@ApiModel
public class UserDetailsVO {
    /**
     * 登录账号
     */
    @ApiModelProperty("登录账号")
    private String account;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String userName;

    /**
     * 是否作废（0：正常，1：作废）
     */
    @ApiModelProperty("是否作废（0：正常，1：作废）")
    private Integer status;

    /**
     * 角色列表
     */
    @ApiModelProperty("角色列表")
    private List<Long> roleIds;

    /**
     * 部门id
     */
    @ApiModelProperty("部门id")
    private Long deptId;
}
