package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author sch
 * @description 用户列表
 * @className cn.sino.mark.common.model.vo.UserPageVO
 * @date 2022/3/29
 */
@Data
@ApiModel
public class UserPageVO {
    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 用户账号
     */
    @ApiModelProperty("用户账号")
    private String account;

    /**
     * 人员名称
     */
    @ApiModelProperty("人员名称")
    private String userName;

    /**
     * 来源渠道
     */
    @ApiModelProperty("来源渠道")
    private String userTypeName;
    private Integer userType;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private String statusName;

    /**
     * 注册时间
     */
    @ApiModelProperty("注册时间")
    private String createTimeStr;

    /**
     * 人员角色
     */
    @ApiModelProperty("人员角色")
    private String userRoleNames;

    /**
     * 是否超管
     */
    @ApiModelProperty("是否超管")
    private Integer isAdmin;

    /**
     * 部门名称
     */
    @ApiModelProperty("部门名称")
    private String deptName;

}
