package cn.sino.mark.common.properties;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author zhangamin
 * @description 雪花算法ID配置
 * @className cn.sino.coop.common.properties.SnowflakeProperties
 * @date 2022/3/23
 */
@Setter
@Getter
@ConfigurationProperties(prefix = "snowflake")
public class SnowflakeProperties {

    /**
     * 集群ID
     */
    private long dataCenterId;

    /**
     * 机器ID
     */
    private long workerId;

}