package cn.sino.mark.dao.mapper;

import cn.sino.mark.dao.model.ProjectResourceDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author shichanghao
 * @description 针对表【t_project_resource(项目资源表)】的数据库操作Mapper
 * @date 2022-04-04 19:41:52
 * @className cn.sino.mark.dao.model.ProjectResourceDO
 */
public interface ProjectResourceMapper extends BaseMapper<ProjectResourceDO> {

    /**
     * 批量新增
     *
     * @param list 集合
     */
    void insertBatch(@Param("list") List<ProjectResourceDO> list);
}




