package cn.sino.mark.dao.mapper;


import cn.sino.mark.dao.model.SysDeptDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 部门相关数据操作层
 *
 * @author Live.InPast
 * @date 2022/9/14
 */
public interface SysDeptMapper extends BaseMapper<SysDeptDO> {

    /**
     * 查询所有部门，不是树结构(数据权限展示专用)
     *
     * @return 部门列表
     */
    List<SysDeptDO> selectAllNotTree();


}