package cn.sino.mark.common.enums;

import lombok.Getter;

/**
 * @author zhangamin
 * @description 是、否的状态枚举
 * @className cn.sino.coop.common.enums.SysUserLeaveEnum
 * @date 2022/3/16
 */
@Getter
public enum BooleanEnum {

    /**
     * true
     */
    NO(0, "否"),

    /**
     * false
     */
    YES(1, "是");

    BooleanEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    private final int value;
    private final String name;
}