package cn.sino.mark.common.enums;

@SuppressWarnings("java:S1144")
public enum ErrorCodeEnum implements ErrorCode {

    FORBIDDEN(403, "您暂无权限访问此资源,请联系管理员."),
    AUTHORIZATION(10000, "请登录系统");


    ErrorCodeEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    private final Integer code;
    private final String message;

    @Override
    public Integer getCode() {
        return code;
    }

    @Override
    public String getMessage() {
        return message;
    }
}
