package cn.sino.mark.common.enums;


import lombok.Getter;

/**
 * @author zhangamin
 * @description 日志类型
 * @className cn.sino.coop.common.enums.LogTypeEnum
 * @date 2022/3/30
 */
@Getter
public enum LogTypeEnum {

    LOGIN(0,"登录"),
    INSERT(1,"添加"),
    UPDATE(2,"更新"),
    DELETE(3,"删除");

    LogTypeEnum(int value, String name){
        this.value = value;
        this.name = name;
    }

    private final int value;
    private final String name;
    public static String getName(int value) {
        for (LogTypeEnum obj : LogTypeEnum.values()) {
            if (obj.getValue() == value) {
                return obj.getName();
            }
        }
        return "";
    }
}
