package cn.sino.mark.common.enums;


import lombok.Getter;

/**
 * @author zhangamin
 * @description 用户是否离职的状态枚举
 * @className cn.sino.coop.common.enums.SysUserLeaveEnum
 * @date 2022/3/16
 */
@Getter
public enum SysUserLeaveEnum {

    /**
     * 在职
     */
    ENTRY_DUTY(0, "在职"),

    /**
     * 离职
     */
    QUIT_DUTY(1, "离职");

    private final int value;
    private final String name;

    SysUserLeaveEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

}
