package cn.sino.mark.common.model.bo;

import cn.sino.mark.dao.model.LabelItemDO;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @Description 标签
 * @Author lgw
 * @Date 2022/8/16 14:19
 * @Version 1.0
 **/
@Data
public class LabelBO {

    /**
     * PK
     */
    private Long id;

    /**
     * 标签名称
     */
    private String name;

    /**
     * 是否删除(0:正常;1:已删除)
     */
    private Boolean isDelete;

    /**
     * 创建人
     */
    private Long createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 标签可选项
     */
    private String labelItemNames;

    /**
     * 创建人姓名
     */
    private String createName;

    /**
     * 标签选项
     */
    private List<LabelItemDO> labelItems;
}
