package cn.sino.mark.common.model.bo;

import cn.sino.mark.dao.model.ProjectDO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author sch
 * @description 项目BO
 * @className cn.sino.mark.common.model.bo.ProjectBO
 * @date 2022/4/5
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ProjectBO extends ProjectDO {
    /**
     * 一级项目组
     */
    private String firstGroup;

    /**
     * 二级项目组
     */
    private String secondGroup;

    /**
     * 任务总数
     */
    private Integer totalTaskNum;

    /**
     * 完成任务数
     */
    private Integer completeTaskNum;

    /**
     * 过期任务数
     */
    private Integer expiredNum;

    /**
     * 已验证的任务数
     */
    private Integer sampledNum;

    /**
     * 存疑数量
     */
    private Integer problemNum;


}
