package cn.sino.mark.common.model.bo;

import cn.sino.mark.dao.model.ResourceDataDO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 资源数据业务对象
 *
 * @author zhangamin
 * @date 2022/9/13
 */
@Data
@Builder()
@AllArgsConstructor
@NoArgsConstructor
public class ResourceDataBO {

    /**
     * 资源数据
     */
    private ResourceDataDO resourceData;


    /**
     * 是否有效
     */
    private Boolean isValid;

}