package cn.sino.mark.common.model.bo;

import java.util.List;


/**
 * 权限菜单集合
 *
 * @author zhangamin
 * @date 2020/11/21
 */
public class SysPermBO {

    private Long permId;
    private String permName;
    private String permCode;
    private String pattern;
    private Long parentId;
    /**
     * 是否是菜单（0：不是；1：是）
     */
    private int isMenu;
    /**
     * 排序
     */
    private Long sort;
    /**
     * 标识 该角色是否拥有这个权限，有 true  么有 no
     */
    private boolean hasPerm =true;
    /**
     * 子权限信息
     */
    List<SysPermBO> children;
    /**
     * 是否默认拥有(0:否；1：是)
     */
    private Integer isDefault;

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public int getIsMenu() {
        return isMenu;
    }

    public void setIsMenu(int isMenu) {
        this.isMenu = isMenu;
    }

    public Long getSort() {
        return sort;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    public boolean isHasPerm() {
        return hasPerm;
    }

    public void setHasPerm(boolean hasPerm) {
        this.hasPerm = hasPerm;
    }

    public List<SysPermBO> getChildren() {
        return children;
    }

    public void setChildren(List<SysPermBO> children) {
        this.children = children;
    }

    public Long getPermId() {
        return permId;
    }

    public void setPermId(Long permId) {
        this.permId = permId;
    }

    public String getPermName() {
        return permName;
    }

    public void setPermName(String permName) {
        this.permName = permName;
    }

    public String getPermCode() {
        return permCode;
    }

    public void setPermCode(String permCode) {
        this.permCode = permCode;
    }

    public String getPattern() {
        return pattern;
    }

    public void setPattern(String pattern) {
        this.pattern = pattern;
    }


    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

}
