package cn.sino.mark.common.model.bo;

import cn.sino.mark.dao.model.SysUserDO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author sch
 * @description 用户信息BO
 * @className cn.sino.mark.common.model.bo.UserBO
 * @date 2022/3/29
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SysUserBO extends SysUserDO {
    /**
     * 角色名称
     */
    private String userRoleNames;

    /**
     * 状态名
     */
    private String statusName;

    /**
     * 类型
     */
    private String userTypeName;

    /**
     * 创建时间
     */
    private String createTimeStr;

    /**
     * 进行中任务数
     */
    private Integer taskNum;

    /**
     * 部门名称
     */
    private String deptName;
}
