package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author zhangamin
 * @description 新增项目分类
 * @className cn.sino.mark.common.model.dto.AddProjectCategoryDTO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class AddProjectCategoryDTO {

    /**
     * 项目ID
     */
    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    /**
     * 项目分类
     */
    @ApiModelProperty("项目分类")
    @NotNull(message = "分类ID不能为空")
    private String categoryId;

}