package cn.sino.mark.common.model.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author zhangamin
 * @date 2020/11/25
 */
public class AddRoleReqDTO {

    @Size(min = 1,max = 30,message = "角色名称长度在{min}~{max}之间")
    @NotNull(message = "角色名称不能为空")
    private String roleName;

    @Size(min = 0,max = 100,message = "描述长度在{min}~{max}之间")
    private String description;

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
