package cn.sino.mark.common.model.dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author sch
 * @description 用户分配角色
 * @className cn.sino.mark.common.model.dto.AssignRolesDTO
 * @date 2022/3/30
 */
@Data
public class AssignRolesDTO {
    @NotNull(message = "用户id不能为空")
    private Long userId;

    @NotEmpty(message = "角色id不能为空")
    private Long[] roleIds;
}
