package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author sch
 * @description
 * @className
 * @date 2022/4/5
 */
@ApiModel
@Data
public class CompleteProjectDTO {
    /**
     * 项目ID
     */
    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    /**
     * 项目任务ID集合
     */
    @ApiModelProperty("任务ID集合")
    @NotEmpty(message = "任务id集合不能为空")
    private List<Long> taskIds;

    /**
     * 是否编辑(0:新增,1:编辑)
     */
    @ApiModelProperty("是否编辑(0:新增,1:编辑)")
//    @NotNull(message = "是否编辑不能为空")
    private Integer isEdit;
}
