package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description 标签分页查询参数
 * @Author sch
 * @Date 2022/9/8 13:56
 * @Version 1.0
 **/
@ApiModel
@Data
public class LabelPageDTO {
    /**
     * 标签名称
     */
    @ApiModelProperty("标签名称")
    private String name;

    /**
     * 页码
     */
    @ApiModelProperty("页码")
    private Integer pageNum;
}
