package cn.sino.mark.common.model.dto;


import lombok.Data;

/**
 * @author zhangamin
 * @description 用户登录成功后从jwt中解析出的登陆用户信息
 * @className cn.sino.coop.common.model.dto.LoginUserDTO
 * @date 2022/3/16
 */
@Data
public class LoginUserDTO {

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 用户账号(用于登录)
     */
    private String account;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 登录时间
     */
    private Long loginTime;

    /**
     * 随机字符串
     */
    private String uuid;

}
