package cn.sino.mark.common.model.dto;

import io.swagger.annotations.*;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author sch
 * @description 查询用户列表参数
 * @className cn.sino.mark.common.model.dto.QueryUserPageDTO
 * @date 2022/3/29
 */
@Data
@ApiModel
public class QueryUserPageDTO {
    /**
     * 页码
     */
    @ApiModelProperty("页码")
    private Integer pageNum = 1;

    /**
     * 账号/姓名
     */
    @ApiModelProperty("账号/姓名")
    private String nameOrAccount;

    /**
     * 来源渠道
     */
    @ApiModelProperty("来源渠道")
    private Integer userType;

    /**
     * 注册时间开始
     */
    @ApiModelProperty("注册时间开始")
    private String createTimeBegin;

    /**
     * 注册时间截止
     */
    @ApiModelProperty("注册时间截止")
    private String createTimeEnd;

    /**
     * 角色
     */
    @ApiModelProperty("角色")
    private Long roleId;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer status;

}
