package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 部门树结构
 *
 * @author zhangamin
 * @date 2022/9/14
 */
@Data
@ApiModel
public class DepartmentTreeVO {

    /**
     * 部门ID
     */
    @ApiModelProperty("部门ID")
    private Long id;

    /**
     * 部门名称
     */
    @ApiModelProperty("部门名称")
    private String name;

    /**
     * 部门描述
     */
    @ApiModelProperty("部门描述")
    private String description;


    /**
     * 上级部门ID
     */
    @ApiModelProperty("上级部门ID")
    private Long parentId;

}
