package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zhangamin
 * @description 导入资源个数
 * @className cn.sino.mark.common.model.vo.ImportResourceVO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class ImportResourceVO {

    /**
     * 导入资源个数
     */
    @ApiModelProperty("导入资源个数")
    private Integer resourceCount;

    /**
     * 无效资源个数
     */
    @ApiModelProperty("无效资源个数")
    private Integer failedCount;

    /**
     * 有效资源
     */
    @ApiModelProperty("有效资源")
    private List<String> dataList;
    private String effectiveResourceStr;


}