package cn.sino.mark.common.model.vo;

import io.swagger.annotations.*;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author sch
 * @description 内部用户信息
 * @className cn.sino.mark.common.model.vo.InnerUserVO
 * @date 2022/4/18
 */
@Data
@ApiModel
public class InnerUserVO {
    /**
     * 部门id
     */
    @ApiModelProperty("部门id")
    private Integer thirdPartId;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Integer userId;

    /**
     * 登录名
     */
    @ApiModelProperty("登录名")
    private String loginName;

    /**
     * 账号
     */
    @ApiModelProperty("用户名")
    private String displayName;
}
