package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Description 标签详情
 * @Author sch
 * @Date 2022/9/9 15:16
 * @Version 1.0
 **/
@ApiModel
@Data
public class LabelInfoVO {
    /**
     * 标签id
     */
    @ApiModelProperty("标签id")
    private Long id;

    /**
     * 标签名称
     */
    @ApiModelProperty("标签名称")
    private String name;

    /**
     * 可选项
     */
    @ApiModelProperty("可选项")
    private List<String> labelItemNameList;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private String createTime;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private String createName;
}
