package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zhangamin
 * @className cn.sino.coop.common.model.vo.LoginUserInfoVO
 * @description 登录用户信息
 * @date 2022/3/21
 */
@Data
@ApiModel
public class LoginUserInfoVO {

    /**
     * 用户姓名
     */
    @ApiModelProperty("用户姓名")
    private String userName;

    /**
     * 用户状态(0:正常;1:冻结)
     */
    @ApiModelProperty("用户状态(0:正常;1:冻结)")
    private Integer status;

    /**
     * 用户的角色
     */
    @ApiModelProperty("用户的角色")
    private List<String> roles;

    /**
     * 用户的权限
     */
    @ApiModelProperty("用户的权限")
    private List<String> permissions;

}