package cn.sino.mark.common.model.vo;


import java.util.List;

/**
 * @author zhangamin
 * @date 2020/11/23
 */
public class PermResDTO {

    /**
     * 权限id
     */
    private Long permId;

    /**
     * 权限名称
     */
    private String permName;

    /**
     * 权限代码
     */
    private String permCode;

    /**
     * 父节点ID
     */
    private Long parentId;

    /**
     * 是否是菜单（0：不是；1：是）
     */
    private int isMenu;

    /**
     * 是否默认拥有（0：否；1：是）
     */
    private Integer isDefault;

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    /**
     * 子权限集合
     */
    private List<PermResDTO> children;

    public int getIsMenu() {
        return isMenu;
    }

    public void setIsMenu(int isMenu) {
        this.isMenu = isMenu;
    }

    public List<PermResDTO> getChildren() {
        return children;
    }

    public void setChildren(List<PermResDTO> children) {
        this.children = children;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getPermId() {
        return permId;
    }

    public void setPermId(Long permId) {
        this.permId = permId;
    }

    public String getPermName() {
        return permName;
    }

    public void setPermName(String permName) {
        this.permName = permName;
    }

    public String getPermCode() {
        return permCode;
    }

    public void setPermCode(String permCode) {
        this.permCode = permCode;
    }

}
