package cn.sino.mark.common.model.vo;

import io.swagger.annotations.*;
import lombok.Data;

/**
 * @author sch
 * @description 资源任务分配VO
 * @className cn.sino.mark.common.model.vo.ProjectTaskAssignVO
 * @date 2022/4/5
 */
@ApiModel
@Data
public class ProjectTaskAssignVO {
    /**
     * 任务ID
     */
    @ApiModelProperty("任务ID")
    private Long taskId;

    /**
     * 任务名称
     */
    @ApiModelProperty("任务名称")
    private String taskName;

    /**
     * 用户账号
     */
    @ApiModelProperty("用户账号")
    private String account;

    /**
     * 用户姓名
     */
    @ApiModelProperty("用户姓名")
    private String userName;

    /**
     * 标注类型
     */
    @ApiModelProperty("标注类型")
    private String typeName;

    /**
     * 本次标注数量
     */
    @ApiModelProperty("本次标注数量")
    private Integer dataNum;

}
