package cn.sino.mark.common.model.vo;

import io.swagger.annotations.*;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author sch
 * @description 资源基本信息
 * @className cn.sino.mark.common.model.vo.ResourceBaseInfoVO
 * @date 2022/4/3
 */
@ApiModel
@Data
public class ResourceBaseInfoVO {
    /**
     * 资源id
     */
    @ApiModelProperty("资源id")
    private Long resourceId;

    /**
     * 资源类型
     */
    @ApiModelProperty("资源类型")
    private String typeName;
    private Integer type;

    /**
     * 资源名称
     */
    @ApiModelProperty("资源名称")
    private String name;
}
