package cn.sino.mark.common.properties;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;


/**
 * @author zhangamin
 * @description jwt配置
 * @className cn.sino.coop.common.properties.JwtProperties
 * @date 2022/3/26
 */
@Setter
@Getter
@ConfigurationProperties(prefix = "jwt")
public class JwtProperties {

    /**
     * 颁布人
     */
    private String issuer;

    /**
     * 后台秘钥
     */
    private String adminSecret;

    /**
     * 客户端秘钥
     */
    private String clientSecret;

}
