package cn.sino.mark.dao.mapper;

import cn.sino.mark.dao.model.ProjectUserDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author shichanghao
 * @description 针对表【t_project_user(项目用户表)】的数据库操作Mapper
 * @date 2022-04-04 19:42:26
 * @className cn.sino.mark.dao.model.ProjectUserDO
 */
public interface ProjectUserMapper extends BaseMapper<ProjectUserDO> {

    /**
     * 批量新增
     *
     * @param list 集合
     */
    void insertBatch(@Param("list") List<ProjectUserDO> list);
}




