package cn.sino.mark.service.convert;

import cn.sino.mark.common.model.bo.ResourceBO;
import cn.sino.mark.common.model.vo.ResourcePageItemVO;
import org.mapstruct.Mapper;

/**
 * @author sch
 * @description 资源管理实体转化类
 * @className cn.sino.mark.service.convert.ResourceMapStruct
 * @date 2022/4/1
 */
@Mapper(componentModel = "spring")
public interface ResourceMapStruct {

    /**
     * 转化成分页对象
     *
     * @param resourceBO 资源
     * @return ResourcePageItemVO
     */
    ResourcePageItemVO convertToPageItem(ResourceBO resourceBO);
}
